Subject: Re: bug#63084: 30.0.50; gud: set breakpoint while program is running

From: Eli Zaretskii <[email-masked]>
Date: Sun, 28 May 2023 08:28:28 +0300

> From: TatriX <[email-masked]>
> Date: Sat, 27 May 2023 23:22:52 +0200
> Cc: [email-masked]
> 
> While we waiting for a reply

Actually, I've given up on waiting for a reply (Ken, are you there?),
so now we basically wait for me to get enough free time to work on
this non-trivial issue.  I've meanwhile set up one of my systems to
support asynchronous and non-stop execution in GDB, so that I could
test the changes.  Stay tuned.

> may I ask what is the relationship between gdb-mi.el and gud.el?

gdb-mi.el is basically a (very significant) extension of gud.el.
gdb-mi.el builds on the basic features provided by gud.el for GDB, and
adds a lot of stuff of its own, both to support the GDB/MI protocol
and provide a GUI front-end display, similar to other debugging UIs.